## ros-kinetic-micros-swarm-framework 0.0.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(micros_swarm_framework)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-micros-swarm-framework (0.0.17-2xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Xuefeng Chang <changxuefengcn@163.com>  Fri, 15 Dec 2017 03:13:52 -0000

ros-kinetic-micros-swarm-framework (0.0.15-2xenial) xenial; urgency=high

  * release to kinetic rosdistro
  * repair bugs in getParam
  * repair bugs in opensplice dds publisher and subscriber
  * repair bugs in MsgQueueManager
  * complete MsgQueueManager class
  * complete msg queue cache

 -- Xuefeng Chang <changxuefengcn@163.com>  Fri, 11 Nov 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.14-2xenial) xenial; urgency=high

  * complete neighbor communication
  * simplify the user interface functions
  * improve the security of multi-threading
  * limit communication range
  * add PacketParser class
  * performance optimization
  * optimize the RuntimePlatformKernel

 -- Xuefeng Chang <changxuefengcn@163.com>  Thu, 08 Sep 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.13-2xenial) xenial; urgency=high

  * improve neighbor communication mechanism, add Broadcaster and Listener class
  * add Application class, which is convenient for users to develop app
  * change cmake file
  * change README file
  * repair bugs in app2

 -- Xuefeng Chang <changxuefengcn@163.com>  Mon, 15 Aug 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.12-2xenial) xenial; urgency=high

  * reconstructe the whole architecture using nodelet to improve performance
  * is extensible to Opensplice DDS
  * add neighbor communication mechanism
  * standard the interface definition
  * repair bugs in cmake file

 -- Xuefeng Chang <changxuefengcn@163.com>  Sun, 17 Jul 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.11-2xenial) xenial; urgency=high

  * repair bugs in cmake file

 -- Xuefeng Chang <changxuefengcn@163.com>  Sun, 17 Jul 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.10-2xenial) xenial; urgency=high

  * reconstructe the whole architecture using nodelet to improve performance
  * is extensible to Opensplice DDS
  * add neighbor communication mechanism
  * standard the interface definition

 -- Xuefeng Chang <changxuefengcn@163.com>  Sun, 17 Jul 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.9-2xenial) xenial; urgency=high

  * Add another experiment which is called "Flocking"
  * Add linear velocity in the Base and NeighborBase classes
  * Add the breakupSwarm function in the "swarm.h" header

 -- Xuefeng Chang <changxuefengcn@163.com>  Wed, 06 Jul 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.8-2xenial) xenial; urgency=high

  * No longer using the TCP protocol in ROS, UDP protocol is used instead
  * Location class defined in the "data_type.h" header is renamed to Base
  * NeighborLocation class defined in the "data_type.h" header is renamed to NeighborBase

 -- Xuefeng Chang <changxuefengcn@163.com>  Mon, 13 Jun 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.7-2xenial) xenial; urgency=high

  * optimize the installation

 -- Xuefeng Chang <changxuefengcn@163.com>  Sun, 29 May 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.6-2xenial) xenial; urgency=high

  * optimize the kernel code
  * change the readme file

 -- Xuefeng Chang <changxuefengcn@163.com>  Mon, 16 May 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.5-2xenial) xenial; urgency=high

  * change the license to BSD
  * perfect the package information
  * optimize the kernel
  * optimize code structure
  * simplify synchronization protocol

 -- Xuefeng Chang <changxuefengcn@163.com>  Thu, 12 May 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.4-2xenial) xenial; urgency=high

  * repair the cmake bug

 -- Xuefeng Chang <changxuefengcn@163.com>  Tue, 10 May 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.3-2xenial) xenial; urgency=high

  * repair the headers bug

 -- Xuefeng Chang <changxuefengcn@163.com>  Tue, 10 May 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.2-2xenial) xenial; urgency=high

  * version 1.0
  * Contributors: xuefengchang

 -- Xuefeng Chang <changxuefengcn@163.com>  Mon, 09 May 2016 16:00:00 -0000

=== debian/control ===
Source: ros-kinetic-micros-swarm-framework
Section: misc
Priority: extra
Maintainer: Xuefeng Chang <changxuefengcn@163.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://wiki.ros.org/micros_swarm_framework
Standards-Version: 3.9.2

Package: ros-kinetic-micros-swarm-framework
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-app-loader, ros-kinetic-app1, ros-kinetic-app2, ros-kinetic-app3, ros-kinetic-gsdf-msgs, ros-kinetic-micros-swarm, ros-kinetic-micros-swarm-gazebo, ros-kinetic-micros-swarm-stage, ros-kinetic-olfati-saber-flocking, ros-kinetic-opensplice-dds-broker, ros-kinetic-pso, ros-kinetic-ros-broker, ros-kinetic-testbb, ros-kinetic-testnc, ros-kinetic-testrth, ros-kinetic-testscdspso, ros-kinetic-testvstig
Description: This is a programming framework to facilitate application development involving robot swarms.
 It makes coding for swarms much easier by providing an adequate swarm-level abstraction, as well as tools for swarm management, various communication mechanisms and so on. It also provides essential data structures, such as Neighbor, Swarm, and Virtual Stigmergy, to the user. Most importantly, it is completely compatible with ROS Indigo and presented in the form of a C++ library, which means that all resources in the ROS ecosystem are still available to the user. It is currently extensible to Opensplice DDS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-micros-swarm-framework//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
